using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Drawing2D;
using FastReport.Utils;

namespace FastReport.Dialog
{
    partial class ComboBoxControl
    {
        #region Protected Methods

        /// <inheritdoc/>
        protected override bool ShouldSerializeBackColor()
        {
            return BackColor != SystemColors.Window;
        }

        /// <inheritdoc/>
        protected override bool ShouldSerializeForeColor()
        {
            return ForeColor != SystemColors.WindowText;
        }

        /// <inheritdoc/>
        protected override SelectionPoint[] GetSelectionPoints()
        {
            if (ComboBox.DrawMode == DrawMode.Normal)
                return new SelectionPoint[] {
                new SelectionPoint(AbsLeft - 2, AbsTop + Height / 2, SizingPoint.LeftCenter),
                new SelectionPoint(AbsLeft + Width + 1, AbsTop + Height / 2, SizingPoint.RightCenter) };
            return base.GetSelectionPoints();
        }
        #endregion

    }
}
